%define _exec_prefix %{nil}
%define __debug_package %{nil}

Summary: a service autoconfigurator to use with DHCP
Name: netpnp
Version: 0.6.2
Release: 1
Group: System Environment/Base
License: GPL
Source: http://people.redhat.com/nphilipp/netpnp/netpnp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Prereq: perl grep
Requires: /etc/ntp.conf /etc/ntp/step-tickers /etc/privoxy/config
Requires: bind dhclient

%description
netpnp is a script that automatically tweaks the following things according
to information found in a DHCP reply and its local settings:

- DNS named forwarders (include %{_localstatedir}/lib/named-forwarders.conf
  in %{_sysconfdir}/named.conf to use it)
- NTP (servers and step-tickers)
- privoxy, put the following lines into /etc/privoxy/config, preferrably in the
  vicinity of where you would put manual "forward" entries:

# BEGIN NETPNP PROXYFORWARD
# END NETPNP PROXYFORWARD

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! "$(grep NETPNP %{_sysconfdir}/dhclient-exit-hooks 2>/dev/null)" ]; then
	echo "%{_sbindir}/netpnp # NETPNP" > %{_sysconfdir}/dhclient-exit-hooks
fi

%postun
if [ "$1" -eq 0 ]; then
	perl -pi -e 's/.*#\s*NETPNP.*\n//g;' %{_sysconfdir}/dhclient-exit-hooks
fi

%files
%defattr(-, root, root)
%doc COPYING
%config(noreplace) %{_sysconfdir}/netpnp.conf
%{_sbindir}/netpnp

%changelog
* Wed Sep 10 2003 Nils Philippsen <nphilipp@redhat.com>
- version 0.6.2

* Tue Oct 22 2002 Nils Philippsen <nils@lisas.de>
- version 0.6.1

* Tue Oct 22 2002 Nils Philippsen <nils@lisas.de>
- version 0.6
- initial build
